﻿using Telerik.WinControls.UI;

namespace GridDragDropScrollCell
{
    public class CustomGridDataRowBehavior : GridDataRowBehavior
    {
        protected override bool OnMouseDownLeft(System.Windows.Forms.MouseEventArgs e)
        {
            bool result = base.OnMouseDownLeft(e);

            GridCellElement cell = this.GetCellAtPoint(e.Location);

            if (cell != null && !this.GridControl.IsInEditMode)
            {
                RadGridViewDragDropService service = this.GridViewElement.GetService<RadGridViewDragDropService>(); ;
                CellSnapshotDragItem item = new CellSnapshotDragItem(cell);
                service.Start(item);
            }

            return result;
        }
    }
}
