﻿using System.Drawing;
using Telerik.WinControls.UI;

namespace GridDragDropScrollCell
{
    public class CellSnapshotDragItem : SnapshotDragItem
    {
        private GridViewCellInfo cellInfo;

        public CellSnapshotDragItem(GridCellElement cell)
            : base(cell)
        {
            cellInfo = cell.RowInfo.Cells[cell.ColumnInfo.Name];
        }

        protected override object GetDragContextCore()
        {
            return cellInfo;
        }
    }
}
